calculateShipping
Use the SDK for application integration. This read-only reference covers Commerce, Customer Auth, Membership and Events.
All HTTP operationsPOST
Tenant-scoped shipping quote. A quote is not checkout admission or a reservation.
header
X-Publishable-Key<token>Tenant publishable key for authentication (sent via X-Publishable-Key header)
application/json- body
shippingPolicyId?|numberorderAmount*numberRange
0 <= valuecountryCode?stringLength
2 <= length <= 2regionCode?stringpostalCode?stringSuccessful operation
application/json- response
shippingAmount*numberbaseShippingAmount*numberextraShippingAmount*numbershippingLines*array<>freeShipping*booleanfreeShippingMinAmount*number|nullisJeju*booleanisRemoteIsland*booleanExamples may be generated from schemas; they are illustrative, not recorded successful API calls. Example snippets may omit required authentication headers.
curl -X POST 'https://api.01.software/api/shipping-policies/calculate' \ -H 'Content-Type: application/json' \ -d '{ "orderAmount": 0}'Example Response
{ "shippingAmount": 0, "baseShippingAmount": 0, "extraShippingAmount": 0, "shippingLines": [ { "label": "string", "lineType": "base", "amount": 0, "rateId": "string", "zoneId": "string" } ], "freeShipping": true, "freeShippingMinAmount": 0, "isJeju": true, "isRemoteIsland": true}